#!/bin/sh

for img in product updates
do
	/usr/bin/mkcramfs \
	/builds/current/cdrom.image/$img \
	/builds/current/cdrom.image/CentOS/base/$img.img
done

rm -f ~/rpms/SRPMS/comps-*
rm -f ~/rpms/RPMS/i386/comps-*
rpmbuild -ba ~/rpms/SPECS/comps-smeserver.spec
cp ~/rpms/SRPMS/comps* /builds/rpms/SRPMS/
cp ~/rpms/RPMS/i386/comps* /builds/rpms/RPMS/i386/
rm -f /builds/current/cdrom.image/CentOS/RPMS/comps-4*
cp ~/rpms/RPMS/i386/comps* /builds/current/cdrom.image/CentOS/RPMS/
cp -f ~/rpms/RPMS/i386/comps* /builds/current/cdrom.image/CentOS/base/comps.rpm

PYTHONPATH=/usr/lib/anaconda/ /usr/lib/anaconda-runtime/genhdlist \
	--withnumbers \
	/builds/current/cdrom.image/

PYTHONPATH=/usr/lib/anaconda/ /usr/lib/anaconda-runtime/pkgorder \
	/builds/current/cdrom.image \
	i386 > /tmp/pkgorder

PYTHONPATH=/usr/lib/anaconda/ /usr/lib/anaconda-runtime/genhdlist \
	--withnumbers \
	--fileorder /tmp/pkgorder \
	/builds/current/cdrom.image/

rm -f ~/rpms/SRPMS/comps-*
rm -f ~/rpms/RPMS/i386/comps-*
rpmbuild -ba ~/rpms/SPECS/comps-smeserver.spec
cp ~/rpms/SRPMS/comps* /builds/rpms/SRPMS/
cp ~/rpms/RPMS/i386/comps* /builds/rpms/RPMS/i386/
rm -f /builds/current/cdrom.image/CentOS/RPMS/comps-4*
cp ~/rpms/RPMS/i386/comps* /builds/current/cdrom.image/CentOS/RPMS/
cp -f ~/rpms/RPMS/i386/comps* /builds/current/cdrom.image/CentOS/base/comps.rpm

rm /tmp/pkgorder

# That's it.
